Bug 518114 - QEMU driver fails to create a xenner guest
Summary: QEMU driver fails to create a xenner guest
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libvirt
Version: unspecified
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-18 23:13 UTC by Rob Strong
Modified: 2013-11-10 15:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-10 15:51:55 UTC


Attachments (Terms of Use)
libvirt logs (8.86 KB, application/octet-stream)
2009-08-18 23:13 UTC, Rob Strong
no flags Details

Description Rob Strong 2009-08-18 23:13:45 UTC
Created attachment 357859 [details]
libvirt logs

Description of problem:
In virt-manager I create a guest operating system, select my install media, change virt type to "xenner" and click finish.  It will not create the domain, but fails instead.

Version-Release number of selected component (if applicable):

python-virtinst-0.400.3-8.fc11.noarch
virt-manager-0.7.0-5.fc11.x86_64
virt-viewer-0.0.3-6.fc11.x86_64
libvirt-0.6.2-14.fc11.x86_64
libvirt-python-0.6.2-14.fc11.x86_64

xenner-0.46-6.fc11.x86_64
xen-libs-3.3.1-11.fc11.x86_64
xen-runtime-3.3.1-11.fc11.x86_64
xen-hypervisor-3.3.1-11.fc11.x86_64

qemu-img-0.10.5-3.fc11.x86_64
qemu-common-0.10.5-3.fc11.x86_64
qemu-system-x86-0.10.5-3.fc11.x86_64
qemu-kvm-0.10.5-3.fc11.x86_64


How reproducible:
Every time I create a xenner guest VM

Steps to Reproduce:
1. start virt-manager
2. select install method (using url for both media and kickstart) attempted FC6 and F11
3. select virt type "xenner" and click finish.  Arch doesn't matter.  It fails on both x86_64 and i686
  
Actual results:

Unable to complete install '<class 'libvirt.libvirtError'> internal error Domain fedora11 didn't show up

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/create.py", line 1501, in do_install
    dom = guest.start_install(False, meter = meter)
  File "/usr/lib/python2.6/site-packages/virtinst/Guest.py", line 541, in start_install
    return self._do_install(consolecb, meter, removeOld, wait)
  File "/usr/lib/python2.6/site-packages/virtinst/Guest.py", line 633, in _do_install
    self.domain = self.conn.createLinux(install_xml, 0)
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 974, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: internal error Domain fedora11 didn't show up

'


Expected results:
create guest and start up running under paravirt_ops


Additional info:

kernel version:
[root@kvm3 kvm_images]# uname -rm
2.6.29.6-217.2.8.fc11.x86_64 x86_64

other install kernel packages:
kernel-firmware-2.6.29.6-217.2.8.fc11.noarch

Comment 1 Rob Strong 2009-08-19 19:37:13 UTC
when starting and stopping services the xenconsoled app is not running, which could be part of the problem here.  Not sure though?!

Starting xenner daemons
  mount -t tmpfs vmcore /var/run/xenner                    [  OK  ]
  evtchnd                                                  [  OK  ]
  xenstored                                                [  OK  ]
  blkbackd                                                 [  OK  ]
  netbackd                                                 [  OK  ]

[root@kvm3 qemu]# service xenner status
evtchnd (pid  7445) is running...
xenstored (pid  7451) is running...
xenconsoled is stopped
blkbackd (pid  7454) is running...
netbackd (pid  7458) is running...

Comment 2 Cole Robinson 2013-11-10 15:51:55 UTC
Given that xenner is long dead, this is not really relevant anymore and unlikely to ever be fixed, so closing.


Note You need to log in before you can comment on or make changes to this bug.